package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;

/**
 * 应用级服务，在应用启动后、停止过程中调用
 * 应用已经完成启动完成，才调用该服务
 * 应用场景：
 * 1、应用任务，应用启动后定时或间隔执行的任务
 * 2、Socket服务端
 * @author	GM
 * @date	2020年7月15日
 */
@Component
//@ConditionalOnProperty(name="com.mortal",prefix = "",havingValue = "xxx")
public class DemoStartedService implements IApplicationStartedService {
    
    private static Log logger = LogFactory.getLog(DemoStartedService.class);

    @Override
    public void start() {
        logger.info("开始服务..[配置已加载完成，并且所有框架都已经初始化]");

    }

    @Override
    public void stop() {
        logger.info("停止服务..");
    }

    @Override
    public int getOrder() {
        return 10;
    }

}
